# Interface IPackageDeclaration

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable, IAnnotatable, IJavaElement, ISourceReference`

public interface IPackageDeclaration extends IJavaElement, ISourceReference, IAnnotatable
Represents a package declaration in Java compilation unit.

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

### Fields inherited from interface IJavaElement

`ANNOTATION, CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_MODULE, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE, TYPE_PARAMETER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getElementName()`
Returns the name of the package the statement refers to.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface IAnnotatable

`getAnnotation, getAnnotations`

### Methods inherited from interface IJavaElement

`exists, getAncestor, getAttachedJavadoc, getCorrespondingResource, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface ISourceReference

`exists, getNameRange, getSource, getSourceRange`

## Method Details

### getElementName

String getElementName()
Returns the name of the package the statement refers to. This is a handle-only method.

Specified by:
  `getElementName` in interface `IJavaElement`
Returns:
  the name of the package the statement